> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List files



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /library/files
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /library/files:
    get:
      tags:
        - Library
      summary: List files
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FileDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FileDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FileDto'
components:
  schemas:
    FileDto:
      type: object
      properties:
        fileId:
          type: string
          nullable: true
        fileName:
          type: string
          nullable: true
        lastModified:
          type: string
          format: date-time
        fileType:
          type: string
          nullable: true
        fileStatus:
          type: string
          nullable: true
        fileSize:
          type: integer
          format: int64
        estimatedFileSize:
          type: integer
          format: int64
        sources:
          type: array
          items:
            $ref: '#/components/schemas/FileSourceDto'
          nullable: true
        accountId:
          type: string
          nullable: true
        uri:
          type: string
          nullable: true
        lastUse:
          type: string
          format: date-time
          nullable: true
        uses:
          type: integer
          format: int64
          nullable: true
        faviconUrl:
          type: string
          nullable: true
      additionalProperties: false
    FileSourceDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````